//Patriche Robert Cosmin

#include <iostream>
#include <cstdlib>
#include <ctime>
using namespace std;

void contaPNZ(int arr[], int size, int &positivi, int &negativi, int &nulli);

int main() {
    const int DIM = 15;
    int numeri[DIM];
    srand(time(0));
    
    cout << "Array: ";
    for (int i = 0; i < DIM; i++) {
        numeri[i] = rand() % 21 - 10; // Numeri tra -10 e 10
        cout << numeri[i] << " ";
    }
    cout << endl;
    
    int positivi = 0, negativi = 0, nulli = 0;
    contaPNZ(numeri, DIM, positivi, negativi, nulli);
    
    cout << "Positivi: " << positivi << ", Negativi: " << negativi << ", Nulli: " << nulli << endl;

    return 0;
}

void contaPNZ(int arr[], int size, int &positivi, int &negativi, int &nulli) {
    for (int i = 0; i < size; i++) {
        if (arr[i] > 0) positivi++;
        else if (arr[i] < 0) negativi++;
        else nulli++;
    }
}
